<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<!-- An example stylesheet showing a simple transformation from a -->
<!-- result set into an html document. -->
  <xsl:template match="resultSet">
	<html>
		<head>
			<title>DB XML to HTML </title>
		</head>
		<body>
			<table>
				<xsl:apply-templates />
			</table>
		</body>
	</html>
  </xsl:template>

  <xsl:template match="record">
	<tr>
		<xsl:apply-templates />
	</tr>
  </xsl:template>

  <xsl:template match="column">
	<td>
		<xsl:value-of select="." />
	</td>
  </xsl:template>
</xsl:stylesheet>