<?xml version="1.0"?>

<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:java="http://xml.apache.org/xslt/java"
    exclude-result-prefixes="java">

    <xsl:output method="xml" indent="yes"/>

    <xsl:template match="/teamworks">
        <teamworks buildId="TeamWorks Library Format V15">
            <xsl:apply-templates/>
        </teamworks>
    </xsl:template>

    <xsl:template match="/teamworks/bpd">
        <bpd id="{@id}" name="{@name}">
            <xsl:apply-templates/>
        </bpd>
    </xsl:template>

    <xsl:template match="/teamworks/bpd/bpdParameter">
        <bpdParameter name="{@name}">
            <xsl:apply-templates/>
            <visibleInSearch>true</visibleInSearch>
        </bpdParameter>
    </xsl:template>

    <!-- This is the identity template -->
    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>